Package: org.codehaus.groovy.ast.tools

## [Java] Class ParameterUtils

- org.codehaus.groovy.ast.tools.ParameterUtils

-     public class ParameterUtils
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static boolean` | `isVargs(Parameter[] parameters)` Since: 4.0.4
    `` | `public static boolean` | `parametersCompatible(Parameter[] source, Parameter[] target)` Checks compatibility of parameter arrays.
    `` | `public static boolean` | `parametersEqual(Parameter[] a, Parameter[] b)` Since: 2.5.0
    `` | `public static boolean` | `parametersEqualWithWrapperType(Parameter[] a, Parameter[] b)` Since: 3.0.0

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static boolean isVargs(Parameter[] parameters)

      Since:
        4.0.4

    - #### public static boolean parametersCompatible(Parameter[] source, Parameter[] target)

      Checks compatibility of parameter arrays. Each parameter should match the following condition: `sourceType.isAssignableTo(targetType)`

      Since:
        3.0.0

    - #### public static boolean parametersEqual(Parameter[] a, Parameter[] b)

      Since:
        2.5.0

    - #### public static boolean parametersEqualWithWrapperType(Parameter[] a, Parameter[] b)

      Since:
        3.0.0